Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 368615 - sys-apps/openrc-0.8.2-r1 - start-stop-daemon(8) -R behavior change should be matched in documentation
Summary: sys-apps/openrc-0.8.2-r1 - start-stop-daemon(8) -R behavior change should be ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: OpenRC (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: OpenRC Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: openrc-tracker
  Show dependency tree
 
Reported: 2011-05-24 18:30 UTC by Stuart Shelton
Modified: 2012-01-03 15:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Shelton 2011-05-24 18:30:47 UTC
start-stop-daemon documentation still says:


     -R, --retry timeout | signal/timeout
             You can either specify a timeout in seconds or a multiple
             signal/timeout pairs as a stopping schedule.  If not specified then
             a default value of SIGTERM/5 is assumed.

... which is the previous behaviour pre-openrc.

With the openrc start-start-daemon, using '-R' or '--retry' alone produces an error:

start-stop-daemon: option requires an argument -- 'R'

According to previous behaviour and the documentation, I'd expect this to be accepted as '-R SIGTERM/5'.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-05-25 02:34:25 UTC
Hi. Which doc are you referring to?
Comment 2 Stuart Shelton 2011-06-08 12:54:58 UTC
(In reply to comment #1)
> Hi. Which doc are you referring to?

'man start-stop-daemon' ;)
Comment 3 Christian Ruppert (idl0r) gentoo-dev 2011-12-31 02:45:59 UTC
Fixed by commit 26edfe36. Thanks!

http://git.overlays.gentoo.org/gitweb/?p=proj/openrc.git;a=commit;h=26edfe36